import os,urllib.request
from bs4 import BeautifulSoup
from urllib.parse import urlparse

emoji_path = 'emoji/'

f = open('emoji.html', 'r', encoding="utf-8")
emoji_html = f.read()
f.close()

# set header
opener = urllib.request.build_opener()
opener.addheaders = []
opener.addheaders.append(('User-agent', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/83.0.4103.61 Safari/537.36'))
opener.addheaders.append(('Referer', 'https://store.line.me/emojishop/product/5c07441a040ab1c34cc3429f/th'))
urllib.request.install_opener(opener)

emoji_soup = BeautifulSoup(emoji_html, features='html.parser')

i = 1

for img in emoji_soup.find_all("span", "FnPreview"):
  url = img.get('style').replace(';compress=true);', "").replace('background-image:url(','')
  #name = os.path.basename(urlparse(url).path)
  # print(name)
  if i < 10:
    name = '00' + str(i)
  elif i < 100:
    name = '0' + str(i)
  else:
    name = str(i)
  file = emoji_path + name + '.png'
  if not os.path.exists(file):
    urllib.request.urlretrieve(url, file)
    print(name)
  i = i + 1

print('done')
